Bug 102655 - start-here:/// has duplicate and non-functioning entries
Summary: start-here:/// has duplicate and non-functioning entries
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-menus
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Nickell
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-08-19 14:55 UTC by Boris Folgmann
Modified: 2007-04-18 16:56 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-11-03 21:50:21 UTC


Attachments (Terms of Use)
nautilus screenshot (31.41 KB, image/jpeg)
2003-08-19 14:57 UTC, Boris Folgmann
no flags Details
shows problem inside system-settings:/// (47.70 KB, image/jpeg)
2003-08-20 08:18 UTC, Boris Folgmann
no flags Details

Description Boris Folgmann 2003-08-19 14:55:40 UTC
Description of problem:
In my start-here window I get different icons, sometimes with different text
that lead to the same target.

Version-Release number of selected component (if applicable):
redhat-menus-0.38-1

How reproducible:
always

Steps to Reproduce:
1. open start-here nautilus window
    
Actual results:
Two different icons for system-settings:///
both labeled "Systemeinstellungen" (I use the german locale)

Two different icons for preferences:///
Labeled "Präferenzen" and "Vorlieben"

"Programme" leads to programs:///, but I get an error message
that this is an invalid location. 
Same with "Favoriten" and favorites:///

Also I get the Start-here icon "Hier Starten" from the desktop in the start-here
window itself again. If I click on it I get the msg that
system-settings:///.directory.rpmsave can not be displayed. I have this problem
in the other folders, too. E.g. ther is an unhandeled icon for
system-settings:///.directory in system-settings:/// and so on. 

Another item: Are those three / really necessary? Ever thought about a solution
without this crazy URL?? I can not use that address/protocol in Mozilla, so it's
confusing for Joe User.

Expected results:
only the right icons

Additional info:
see attached screenshot

Comment 1 Boris Folgmann 2003-08-19 14:57:53 UTC
Created attachment 93746 [details]
nautilus screenshot

Comment 2 Havoc Pennington 2003-08-19 15:57:00 UTC
Try deleting all the .rpmsave files, maybe you edited or otherwise modified 
the old .directory/.desktop files, and then rpm felt the need to 
create .rpmsave copies of old broken files.


Comment 3 Boris Folgmann 2003-08-19 19:32:13 UTC
I did a 

rm /etc/X11/starthere/*.rpmsave

and I deleted

/etc/X11/serverconfig/.directory.rpmsave
/etc/X11/starthere/.directory.rpmsave
/etc/X11/sysconfig/.directory.rpmsave

But I still have a .directory file that is displayed in preferences:///
Where I can I find it and is it save to delete it?



Comment 4 Havoc Pennington 2003-08-19 21:47:15 UTC
Maybe /usr/share/desktop-menu-files? Not sure offhand.
Any .rpmsave should be safe to delete.

Comment 5 Boris Folgmann 2003-08-20 08:17:08 UTC
There are no .rpmsave files. Only .directory files. And the error msg on double
click complains about a .directory file, not a .directory.rpmsave file.
See screenshot.

Comment 6 Boris Folgmann 2003-08-20 08:18:15 UTC
Created attachment 93774 [details]
shows problem inside system-settings:///

Comment 7 Seth Nickell 2004-11-03 21:50:21 UTC
We don't expose system-settings:/// and start-here:/// anymore


Note You need to log in before you can comment on or make changes to this bug.